﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity.ModelConfiguration;

namespace CrmDemoCodeFirst {

  public class MyOracleContext : MyDbContext {

    static MyOracleContext() {

      // Choose one of the database initialization strategies:
      System.Data.Entity.Database.DbDatabase.SetInitializer<MyOracleContext>(new MyDbContextDropCreateDatabaseAlways());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MyOracleContext>(new MyDbContextCreateDatabaseIfNotExists());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MyOracleContext>(new MyDbContextDropCreateDatabaseIfModelChanges());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MyOracleContext>(null);
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder) {

      base.OnModelCreating(modelBuilder);

      modelBuilder.Conventions.Remove<System.Data.Entity.ModelConfiguration.Conventions.Edm.Db.ColumnTypeCasingConvention>();
      modelBuilder.Conventions.Add(new DefaultSchemaConvention("TEST"));
    }

  }
}
