﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity.ModelConfiguration;

namespace CrmDemoCodeFirst {

  public class MySQLiteContext : MyDbContext {

    static MySQLiteContext() {

      // Choose one of the database initialization strategies:
      System.Data.Entity.Database.DbDatabase.SetInitializer<MySQLiteContext>(new MyDbContextDropCreateDatabaseAlways());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySQLiteContext>(new MyDbContextCreateDatabaseIfNotExists());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySQLiteContext>(new MyDbContextDropCreateDatabaseIfModelChanges());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySQLiteContext>(null);
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder) {

      base.OnModelCreating(modelBuilder);

      modelBuilder.Conventions.Add(new DefaultSchemaConvention("MAIN"));
    }

  }
}
