﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity.ModelConfiguration;

namespace CrmDemoCodeFirst {

  public class MySqlContext : MyDbContext {

    static MySqlContext() {

      // Choose one of the database initialization strategies:
      System.Data.Entity.Database.DbDatabase.SetInitializer<MySqlContext>(new MyDbContextDropCreateDatabaseAlways());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySqlContext>(new MyDbContextCreateDatabaseIfNotExists());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySqlContext>(new MyDbContextDropCreateDatabaseIfModelChanges());
      //System.Data.Entity.Database.DbDatabase.SetInitializer<MySqlContext>(null);
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder) {

      base.OnModelCreating(modelBuilder);

      modelBuilder.Conventions.Add(new DefaultSchemaConvention("test"));
    }
  }
}
