﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CrmDemoCodeFirst {

  class Program {

    static void Main(string[] args) {

      // We have turned on MySqlMonitor to view executed DDL и DML statements in Devart dbMonitor application
      Devart.Data.MySql.MySqlMonitor monitor = new Devart.Data.MySql.MySqlMonitor() { IsActive = true };

      // You can set up a connection string for DbContext in different ways. In this application 
      // we placed it to the app.config file. Connection string name is the DbContext descendant name. 
      // <add name="MySqlContext" connectionString="User Id=root;Password=root;Host=db;Port=3309;Database=test" providerName="Devart.Data.MySql" />

      MyDbContext context = new MySqlContext();
      Queries queries = new Queries();
      Console.WriteLine("dotConnect for MySQL : Entity Framework Code-First sample");
      Console.WriteLine();
      queries.GetCategoriesByPrice(context);
      Console.WriteLine();
      queries.GetOrdersSince2007(context);
      Console.ReadKey();
    }
  }
}
