﻿using System;
using System.Linq;

namespace CrmDemoCodeFirst {

  class Program {

    static void Main(string[] args) {

      // We have turned on OracleMonitor to view executed DDL и DML statements in Devart dbMonitor application
      Devart.Data.Oracle.OracleMonitor monitor = new Devart.Data.Oracle.OracleMonitor() { IsActive = true };

      // You can set up a connection string for DbContext in different ways. In this application 
      // we placed it to the app.config file. Connection string name is the DbContext descendant name. 
      // <add name="MyOracleContext" connectionString="Data Source=ora1020;User Id=test;Password=test;" providerName="Devart.Data.Oracle" />

      MyDbContext context = new MyOracleContext();
      Queries queries = new Queries();
      Console.WriteLine("dotConnect for Oracle : Entity Framework Code-First sample");
      Console.WriteLine();
      queries.GetCategoriesByPrice(context);
      Console.WriteLine();
      queries.GetOrdersSince2007(context);
      Console.ReadKey();
    }
  }




}