﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CrmDemoCodeFirst {

  class Program {

    static void Main(string[] args) {

      // We have turned on SQLiteMonitor to view executed DDL и DML statements in Devart dbMonitor application
      Devart.Data.SQLite.SQLiteMonitor monitor = new Devart.Data.SQLite.SQLiteMonitor() { IsActive = true };

      // You can set up a connection string for DbContext in different ways. In this application 
      // we placed it to the app.config file. Connection string name is the DbContext descendant name. 
      // <add name="MySQLiteContext" connectionString="data source=.\\..\\..\\Test.db" providerName="Devart.Data.SQLite" />

      MyDbContext context = new MySQLiteContext();
      Queries queries = new Queries();
      Console.WriteLine("dotConnect for SQLite: Entity Framework Code-First sample");
      Console.WriteLine();
      queries.GetCategoriesByPrice(context);
      Console.WriteLine();
      queries.GetOrdersSince2007(context);
      Console.ReadKey();
    }
  }
}
